class c4_Reference
  A reference is used to get or set typed data, using derived classes.

Public members
| c4_Reference (const c4_RowRef&, const c4_Property&); Constructor
c4_Reference& | operator= (const c4_Reference&); Assignment of one data item
int | GetSize () const; Return width of the referenced data item
bool | GetData (c4_Bytes&) const; Retrieve the value of the referenced data item
void | SetData (const c4_Bytes&) const; Store a value into the referenced data item

Protected members
c4_Cursor | _cursor;
const c4_Property& | _property;

Friends
friend bool | operator== (const c4_Reference&, const c4_Reference&); Return true if the contents of both references is equal
friend bool | operator!= (const c4_Reference&, const c4_Reference&); Return true if the contents of both references is not equal

Header file | "mk4.h" -- Dec 9, 1999
See also | c4_BytesRef, c4_DoubleRef, c4_FloatRef, c4_IntRef, c4_MemoRef, c4_StringRef, c4_ViewRef